﻿open Microsoft.FSharp.Data.TypeProviders

type private TestDB = SqlEntityConnection<"Server=.;Initial Catalog=TestDB;Integrated Security=SSPI">

let private context = TestDB.GetDataContext()

context.TestData |>
    Seq.iter (fun row ->
        printfn "IntValue: %d, StrValue: %s" row.IntValue row.StrValue)

query {  
    for row in context.TestData do
    sumBy row.IntValue } |>
printfn "Sum of int values: %d" 

