﻿open Microsoft.FSharp.Data.TypeProviders
open System.Xml.Linq

type WeatherService = WsdlService<"http://www.webservicex.com/globalweather.asmx?WSDL">

let weatherClient = WeatherService.GetGlobalWeatherSoap()

//printfn "Cities: %s" (weatherClient.GetCitiesByCountry("Germany"))

let weather = weatherClient.GetWeather("Frankfurt", "Germany")

printfn "%s" weather

let el = XElement.Parse(weather) in
let output v = printfn "%s: %s" v (el.Element(XName.Get(v)).Value) in
["Location"; "Time"; "Temperature"] |> Seq.iter output

